### Hierarchy

- IntersectionObserver

## Index

### Properties

- root
- rootMargin
- thresholds

### Methods

- disconnect
- observe
- takeRecords
- unobserve

## Properties

### root

root: Element | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9272

### rootMargin

rootMargin: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9273

### thresholds

thresholds: number[]

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9274

## Methods

### disconnect

- disconnect(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9275

  #### Returns void

### observe

- observe(target: Element): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9276

  #### Parameters

  - ##### target: Element

  #### Returns void

### takeRecords

- takeRecords(): IntersectionObserverEntry[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9277

  #### Returns IntersectionObserverEntry[]

### unobserve

- unobserve(target: Element): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9278

  #### Parameters

  - ##### target: Element

  #### Returns void

Generated using TypeDoc